List raw observations (history)
List raw observations (history). This operation is part of the draft contract; confirm deployment availability before sending requests.
Path Parameters
- Type:user
Id required
Query Parameters
- Type: array of stringmetric
One or more metric codes from
/metrics. - Type: stringFormat: date-timefrom
the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: stringFormat: date-timeto
the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: enumsource
Type valueswearabledocumentinterviewmanualpractitionerderived - Type: integerlimitmin:1max:200
Integer numbers.
- Type: stringcursor
Responses
- application/json
Request Example for get/users/{userId} /observations
curl 'https://api.eno.health/users/usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE/observations?limit=50' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"nextCursor": null,
"hasMore": true,
"data": [
{
"id": "obs_01JA...",
"userId": "usr_01JA2Y7Q3K8V5T0N4R6M2P9XWE",
"metric": "string",
"value": null,
"unit": null,
"startAt": "2026-11-16T17:41:54.381Z",
"endAt": null,
"interpretation": "optimal",
"referenceRange": {
"low": null,
"high": null,
"optimalLow": null,
"optimalHigh": null,
"source": "document",
"appliesTo": "female, 30-49"
},
"source": {
"type": "wearable",
"provider": "oura",
"device": null,
"documentId": null,
"interviewId": null,
"originalValue": null,
"originalUnit": null
},
"createdAt": "2026-11-16T17:41:54.382Z"
}
]
}